=== debian/changelog ===
trafficserver (7.1.4+ds-1) unstable; urgency=medium

  [ Aron Xu ]
  * Use libunwind for mips*

  [ Jean Baptiste Favre ]
  * Update Debian standards version
  * New upstream version 7.1.4+ds
  * Patches refresh for 7.1.4
  * Add lintian override for trafficserver package

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 06 Aug 2018 10:56:14 +0200

trafficserver (7.1.3+ds-4) unstable; urgency=medium

  * Fix FTBS on armel (Closes: #902112)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 22 Jun 2018 17:13:53 +0200
