=== debian/control ===
Source: trafficserver
Section: web
Priority: optional
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
  libpcre3-dev, libtool, libcap-dev [linux-any],
  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any],
  libxml2-dev, libmagick++-dev, libncurses-dev, libcurl4-openssl-dev,
  libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
Standards-Version: 4.2.0
Homepage: http://trafficserver.apache.org/
Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
Vcs-Browser: https://salsa.debian.org/debian/trafficserver

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
  ${perl:Depends}
Provides: trafficserver-plugin-conf-remap
Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 7.0.0)
Suggests: trafficserver-experimental-plugins (= ${binary:Version})
Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 7.0.0~)
Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improves response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-experimental-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: trafficserver (= ${binary:Version})
Breaks: trafficserver (<< 7.0.0~)
Description: experimental plugins for Apache Traffic Server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well.
 .
 This package provides experimental plugins: authproxy, channel stats,
 combo handler, custom_redirect, esi, geoip acl, healthchecks, Lua, metalink,
 rfc5861, spdy and tcp info.

Package: trafficserver-dev
Architecture: any
Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software  Developers Kit.
 This is a collection of development header and bindings for the C programming
 language, the tsxs linking helper and examples to write your own plug-ins for
 the Apache Traffic Server.
