## trafficserver 7.1.6+ds

=== debian/changelog ===
trafficserver (7.1.6+ds-1~bpo9+2) stretch-backports; urgency=medium

  * Require python3-sphinx (>= 1.7.9~)

 -- Aron Xu <aron@debian.org>  Fri, 08 Mar 2019 23:15:01 +0800

trafficserver (7.1.6+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Build for stretch-backports.

 -- Aron Xu <aron@debian.org>  Fri, 08 Mar 2019 17:30:28 +0800

trafficserver (7.1.4+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 06 Aug 2018 13:06:56 +0200
