## trafficserver 8.0.0

=== debian/changelog ===
trafficserver (8.0.0-4) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Update descriptions in d/control

  [ Jean Baptiste Favre ]
  * Update patch to fix kfreebsd FTBFS

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 05 Nov 2018 10:13:03 +0100

trafficserver (8.0.0-3) unstable; urgency=medium

  * Remove webptransform experimental plugin
  * Update patch to fix kfreebsd FTBFS
  * Update d/copyright to fix lintian error
  * Update d/rules to fix FTBFS for mips & mipsel archs
  * Update d/rules to spare call to dpkg-parsechangelog
  * Update d/copyright after 8.0.0 file moves

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Nov 2018 14:24:38 +0100

trafficserver (8.0.0-2) unstable; urgency=medium

  * Add a patch to fix FTBFS with MySQL 8 (LP: #1795362)
  * Update 0009-fix-mysql-8-build.patch which has been merged upstream
  * Bump Standards-Version in d/control
  * Add patch to fix 32bits arm & mips arch build
  * Backport upstream patch to fix segmentation fault
  * Backport upstream patch to fix traffic_via

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 17 Oct 2018 20:40:51 +0200

trafficserver (8.0.0-1) unstable; urgency=medium

  [ Aron Xu ]
  * Remove .vscode directory
  * systemd: After=network-online.target

  [ Jean Baptiste Favre ]
  * Update d/changelog for 8.0.0
  * Update init and service file after traffic_cop removal
  * Update d/README.Debian to reflect configuration changes
  * Add d/gitlab-ci.yml to use Salsa CI
  * Update d/control
      * Add build-deps against graphviz, python3-sphinxcontrib.plantuml
        and plantuml to build documentation & manpages
      * Add build-deps against libcrypto++-dev, libjansson-dev, libcjose-dev to
        build uri_signing plugin
      * Update Breaks to manage plugins transition from experimental to stable
  * Update postinst maintainer script, add postrm & preinst scripts to remove
    obsolete config files
    - /etc/trafficserver/vaddrs.config,
    - /etc/trafficserver/metrics.config,
    - /etc/trafficserver/logging.config,
    - /etc/trafficserver/log_hosts.config,
    - /etc/trafficserver/congestion.config,
    - /etc/trafficserver/cluster.config,
    - /etc/trafficserver/body_factory/default/congestion#retryAfter
  * Update d/trafficserver and d/trafficserver-experimental-plugins install
    files
    - Stable plugin gzip renamed to compress
    - Promoted stable plugins:
      - cachekey,
      - cache_promote,
      - escalate,
      - test_cppapi,
      - tslua
    - Added new experimental plugins:
      - access_control,
      - fq_pacing,
      - prefetch,
      - server_push_preload,
      - system_stats,
      - tls_bridge,
      - traffic_dump,
      - uri_signing
    - Remove deprecated plugins collapsed_connection, epic
  * Remove obsolete config option --enable-system-luajit from d/rules
  * Add --with-build-version option to d/rule to have a deterministic
    build-version
  * Update d/copyright to remove .vscode during import at repack stage
  * Update patches for 8.0.0
    - Refresh patches for 8.0.0
    - Removed patches:
      - 0004-force-use-luajit-system*, updated upstream
      - 0005-fix_documentation_build_option, updated upstream
      - 0008-fix_build_lua, updated upstream
      - 0009-fix-doc-python3, update upstream
      - 0010-Remove-custom-memory-barriers-from-header_rewrite-an patches,
        updated upstream
    - Renamed remaining patches:
      - 0006-fix_arm_build -> 0004-fix_arm_build,
      - 0007-fix_build_kfreebsd -> 0005-fix_build_kfreebsd,
      - 0009-fix-doc-git -> 0006-fix-doc-build
    - Add patch to fix uri_signing experimental plugin build
    - Add patch to fix check-unused-dependencies
  * New upstream version 8.0.0

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 06 Oct 2018 12:43:13 +0200
