## trafficserver 8.0.2+ds

=== debian/changelog ===
trafficserver (8.0.2+ds-1+rpi1+deb10u1) buster-staging; urgency=medium

  [changes brought forward from 8.0.1-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 19 Jan 2019 12:42:48 +0000]
  * Use -latomic on raspbian too.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 12 Sep 2019 17:22:26 +0000

trafficserver (8.0.2+ds-1+deb10u1) buster-security; urgency=high

  * Add patch for security backport from 8.0.4 for CVE-2019-9512,
       CVE-2019-9514, and CVE-2019-9515. (Closes: #934887)
  * Add patch for security backport from 8.0.5 for fixes
       CVE-2019-9518 (Closes: #935314)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 26 Aug 2019 13:55:33 +0200

trafficserver (8.0.2+ds-1) unstable; urgency=medium

  * Disable testing build in d/gitlab-ci.yml
  * Update d/copyright to remove unneeded files when importing upstream release
  * Update upstream GPG keys list
  * New upstream version 8.0.2+ds
  * Patches refresh for 8.0.2
  * Update patch. Add dep3 headers
  * Update d/control. Mark trafficserver-dev architecture all
  * Remove signature from upstream keys. Fix lintian info
  * Move dpkg-maintscript-helper commands to d/trafficserver.maintscript

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 30 Jan 2019 14:45:09 +0100

trafficserver (8.0.1-4) unstable; urgency=medium

  * Add patch and update d/control, d/rules to use system provided yaml-cpp

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 11 Jan 2019 19:07:28 +0100

trafficserver (8.0.1-3) unstable; urgency=medium

  * Add missed experimental plugin certifier
  * Add man pages paths to d/not-installed to avoid too verbose dh_missing list.
    Manpages are compressed before being install. Non-compressed version is in
    turn erroneously detected as not installed.
  * Update patch which has been merged upstream

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 07 Jan 2019 15:24:38 +0100

trafficserver (8.0.1-2) unstable; urgency=medium

  * Update Standards Version in d/control. No other changes needed
  * Update trafficserver-experimental-plugins package descriptions
    in d/control to fix lintian warnings
  * Add patch 0012-fix-spelling-checks to fix spellings. Forwarded upstream
  * Update patch 0006-fix-doc-build to include missing manpages
  * Remove d/trafficserver.lintian-overrides
  * Add patch 0013-fix-perl-interpreter-path. Fix lintian error which used
    to be overridden in d/trafficserver.lintian-overrides
  * Update d/trafficserver-dev.lintian-overrides

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 03 Jan 2019 10:52:44 +0100
