=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -O3
 export DEB_CXXFLAGS_MAINT_APPEND = -O3
-# mips & mipsel need explicit libatomic link
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
+# mips & mipsel and raspbian need explicit libatomic link
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel armhf))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
 
@@ -25,6 +25,7 @@
 	--enable-experimental-plugins --enable-32bit-build \
 	--enable-mime-sanity-check --enable-docs \
 	--with-build-version=$(DEB_VERSION) \
+	--with-yaml-cpp=/usr \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
