## trafficserver 8.0.2.2

=== debian/changelog ===
trafficserver (8.0.2.2-1+dde) unstable; urgency=medium

  * update

 -- Aron Xu <aron@debian.org>  Mon, 22 Nov 2021 11:52:35 +0800

trafficserver (8.0.2.2-1+dde) buster-security; urgency=high

  * Cherry-pick upstream patch
  * CVE-2019-17559: Fixed how we handle unknown schemes
  * CVE-2019-17565: Fix chunked processing
  * CVE-2020-1944: Change header validationv
  * CVE-2020-9481: Fix HTTP/2 slow read attack
  * CVE-2020-9494: Fixed bug in the calculation of the header block fragment length
  * CVE-2020-17508: ESI: Ensure gzip header is always initialized
  * CVE-2020-17509: Add negative caching tests and fixes
  * CVE-2021-27577: Strip the url fragment for outgoing requests
  * CVE_2021-32565: Ensure that the content-length value is only digits
  * CVE-2021-35474: Fix dynamic-stack-buffer-overflow of cachekey plugin
  * CVE-2021-32566: Fix improper Input Validation vulnerability allows an attacker to DOS the server
  * CVE-2021-32567: Fix improper Input Validation vulnerability allows an attacker to DOS the server

 -- wangrong <wangrong@uniontech.com>  Mon, 01 Nov 2021 09:22:03 +0800
 

trafficserver (8.0.2.1-1+dde) buster-security; urgency=high

  * fix CVE-2021-35474

 -- wangrong <wangrong@uniontech.com>  Fri, 22 Oct 2021 21:31:23 +0800
