=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
   python3-sphinxcontrib.plantuml [!kfreebsd-any], python-sphinxcontrib.plantuml [kfreebsd-any],
   libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
-  libcrypto++-dev, libjansson-dev, libcjose-dev,
+  libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
@@ -28,7 +28,7 @@
 Suggests: trafficserver-experimental-plugins (= ${binary:Version})
 Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
  trafficserver-experimental-plugins (<< 8.0.0~)
-Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 compliant caching proxy server
+Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 caching proxy server
  This package provides the Apache Traffic Server, a fast, scalable reverse
  proxy server which may operate as forward proxy as well. Apache Traffic Server
  supports:
@@ -51,6 +51,10 @@
 Description: experimental plugins for Apache Traffic Server
  This package provides the Apache Traffic Server plugins marked as
  experimental.
+ .
+ Please note that these plugins can be removed without priori notice, or
+ promoted as stable plugin. In the last case, they'll be moved from
+ trafficserver-experimental-plugins to trafficserver package.
 
 Package: trafficserver-dev
 Architecture: any
