=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -O3
 export DEB_CXXFLAGS_MAINT_APPEND = -O3
-# mips & mipsel and raspbian need explicit libatomic link
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel armhf))
+# mips & mipsel need explicit libatomic link
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
   export DEB_LDFLAGS_MAINT_APPEND += -latomic
 endif
