## trafficserver 8.0.3+ds

=== debian/changelog ===
trafficserver (8.0.3+ds-4) unstable; urgency=medium

  * Fix lintian warning 'skip-systemd-native-flag-missing-pre-depends'
  * Use debhelper-compat instead of debian/compat

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Aug 2019 09:07:31 +0200

trafficserver (8.0.3+ds-3) unstable; urgency=medium

  * Run upstream testsuite with autopkgtest.
  * Enable CI tests on salsa (see debian/salsa-ci.yml).
  * Set debhelper compatibility level to 12.
  * Add myself to the Uploaders field.
  * Set Standards-Version to 4.4.0.

 -- Emanuele Rocca <ema@debian.org>  Wed, 31 Jul 2019 11:11:59 +0200

trafficserver (8.0.3+ds-2) unstable; urgency=medium

  * Fix hardeing updating 0015-as-needed-fix.patch from Ubuntu

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 26 Mar 2019 08:44:17 +0100

trafficserver (8.0.3+ds-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Drop unnecessary dependency on dh-autoconf.
  * New upstream version 8.0.3+ds
  * Patches update for 8.0.3
  * Add as-needed patch from Ubuntu

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 25 Mar 2019 10:29:35 +0100
