=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: trafficserver
 Section: web
 Priority: optional
-Maintainer: Aron Xu <aron@debian.org>
-Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
+Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
+Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
+Build-Depends: debhelper-compat (= 12), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
@@ -13,8 +13,8 @@
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.3.0
-Homepage: http://trafficserver.apache.org/
+Standards-Version: 4.4.0
+Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
 
@@ -22,6 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
   ${perl:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Provides: trafficserver-plugin-conf-remap
 Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
  trafficserver-experimental-plugins (<< 8.0.0~)
