## trafficserver 8.0.5%2Bds

=== CMakeLists.txt ===
#### EDITOR SUPPORT ####
## This file exists ONLY to support code editors (e.g. Visual Code, CLion).
##
## !!!-> IT WILL NOT BUILD TRAFFIC SERVER <-!!!
##
## This file can be tweaked to keep editors happy. In general all projects
## should be defined here so there is only one instance of this file, not one
## per directory. This has been done only to the extent that someone using
## such an editor needed it, so much work is left to be done.
#######################
#
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#######################

cmake_minimum_required(VERSION 3.7)
project(ats)

set(CMAKE_CXX_STANDARD 11)

include_directories(lib
        include
        proxy
        proxy/hdrs
        proxy/http
        proxy/http/remap
        proxy/shared
        lib/records
        include/wccp
        lib/yamlcpp/include
        iocore/eventsystem
        iocore/net
        iocore/dns
        iocore/hostdb
        iocore/aio
        iocore/cache
        iocore/utils
        mgmt
        mgmt/api
        mgmt/utils
        mgmt/api/include
        proxy/api)

add_executable(traffic_crashlog
        src/traffic_crashlog/procinfo.cc
        src/traffic_crashlog/traffic_crashlog.cc
        src/traffic_crashlog/traffic_crashlog.h
)

add_executable(traffic_ctl
        src/traffic_ctl/alarm.cc
        src/traffic_ctl/config.cc
        src/traffic_ctl/plugin.cc
        src/traffic_ctl/server.cc
        src/traffic_ctl/storage.cc
        src/traffic_ctl/traffic_ctl.cc
        src/traffic_ctl/traffic_ctl.h
        src/traffic_layout/engine.cc
)

add_executable(traffic_layout
        src/traffic_layout/engine.h
        src/traffic_layout/file_system.cc
        src/traffic_layout/file_system.h
        src/traffic_layout/info.cc
        src/traffic_layout/info.h
        src/traffic_layout/traffic_layout.cc
)

add_executable(traffic_logcat
        src/traffic_logcat/logcat.cc
)

add_executable(traffic_logstats
        src/traffic_logstats/logstats.cc
)

add_executable(traffic_manager
        src/traffic_manager/AddConfigFilesHere.cc
        src/traffic_manager/traffic_manager.cc
)

add_executable(traffic_server
        src/traffic_server/CoreUtils.cc
        src/traffic_server/CoreUtils.h
        src/traffic_server/Crash.cc
        src/traffic_server/EventName.cc
        src/traffic_server/EventName.h
        src/traffic_server/FetchSM.cc
        src/traffic_server/FetchSM.h
        src/traffic_server/HostStatus.cc
        src/traffic_server/InkAPI.cc
        src/traffic_server/InkAPITest.cc
        src/traffic_server/InkIOCoreAPI.cc
        src/traffic_server/SocksProxy.cc
        src/traffic_server/traffic_server.cc
)

add_executable(ats
        src/traffic_via/traffic_via.cc
        src/traffic_wccp/wccp_client.cc
        example/add_header/add_header.c
        example/append_transform/append_transform.c
        example/basic_auth/basic_auth.c
        example/blacklist_0/blacklist_0.c
        example/blacklist_1/blacklist_1.c
        example/bnull_transform/bnull_transform.c
        example/cache_scan/cache_scan.cc
        example/cppapi/async_http_fetch/AsyncHttpFetch.cc
        example/cppapi/async_http_fetch_streaming/AsyncHttpFetchStreaming.cc
        example/cppapi/async_timer/AsyncTimer.cc
        example/cppapi/boom/boom.cc
        example/cppapi/clientredirect/ClientRedirect.cc
        example/cppapi/clientrequest/ClientRequest.cc
        example/cppapi/custom_error_remap_plugin/CustomErrorRemapPlugin.cc
        example/cppapi/customresponse/CustomResponse.cc
        example/cppapi/delay_transformation_plugin/DelayTransformationPlugin.cc
        example/cppapi/globalhook/GlobalHookPlugin.cc
        example/cppapi/gzip_transformation/GzipTransformationPlugin.cc
        example/cppapi/helloworld/HelloWorldPlugin.cc
        example/cppapi/intercept/intercept.cc
        example/cppapi/internal_transaction_handling/InternalTransactionHandling.cc
        example/cppapi/logger_example/LoggerExample.cc
        example/cppapi/multiple_transaction_hooks/MultipleTransactionHookPlugins.cc
        example/cppapi/null_transformation_plugin/NullTransformationPlugin.cc
        example/cppapi/post_buffer/PostBuffer.cc
        example/cppapi/remap_plugin/RemapPlugin.cc
        example/cppapi/serverresponse/ServerResponse.cc
        example/cppapi/stat_example/StatExample.cc
        example/cppapi/timeout_example/TimeoutExamplePlugin.cc
        example/cppapi/transactionhook/TransactionHookPlugin.cc
        example/cppapi/websocket/WebSocket.cc
        example/cppapi/websocket/WebSocket.h
        example/cppapi/websocket/WSBuffer.cc
        example/cppapi/websocket/WSBuffer.h
        example/disable_http2/disable_http2.cc
        example/file_1/file_1.c
        example/hello/hello.c
        example/intercept/intercept.cc
        example/lifecycle_plugin/lifecycle_plugin.c
        example/null_transform/null_transform.c
        example/output_header/output_header.c
        example/passthru/passthru.cc
        example/protocol/Protocol.c
        example/protocol/Protocol.h
        example/protocol/TxnSM.c
        example/protocol/TxnSM.h
        example/protocol_stack/protocol_stack.cc
        example/query_remap/query_remap.c
        example/redirect_1/redirect_1.c
        example/remap/remap.cc
        example/remap_header_add/remap_header_add.cc
        example/replace_header/replace_header.c
        example/response_header_1/response_header_1.c
        example/secure_link/secure_link.c
        example/server_push/server_push.c
        example/server_transform/server_transform.c
        example/session_hooks/session_hooks.c
        example/ssl_preaccept/ssl_preaccept.cc
        example/ssl_sni/ssl_sni.cc
        example/ssl_sni_whitelist/ssl_sni_whitelist.cc
        example/statistic/statistic.cc
        example/thread_1/thread_1.c
        example/thread_pool/include/gen.c
        example/thread_pool/psi.c
        example/thread_pool/thread.c
        example/thread_pool/thread.h
        example/txn_data_sink/txn_data_sink.c
        example/version/version.c
        iocore/aio/AIO.cc
        iocore/aio/I_AIO.h
        iocore/aio/Inline.cc
        iocore/aio/P_AIO.h
        iocore/aio/test_AIO.cc
        iocore/dns/DNS.cc
        iocore/dns/DNSConnection.cc
        iocore/dns/I_DNS.h
        iocore/dns/I_DNSProcessor.h
        iocore/dns/I_SplitDNS.h
        iocore/dns/I_SplitDNSProcessor.h
        iocore/dns/Inline.cc
        iocore/dns/P_DNS.h
        iocore/dns/P_DNSConnection.h
        iocore/dns/P_DNSProcessor.h
        iocore/dns/P_SplitDNS.h
        iocore/dns/P_SplitDNSProcessor.h
        iocore/dns/SplitDNS.cc
        iocore/dns/SRV.h
        iocore/dns/test_I_DNS.cc
        iocore/dns/test_P_DNS.cc
        iocore/eventsystem/unit_tests/test_MIOBufferWriter.cc
        iocore/eventsystem/EventSystem.cc
        iocore/eventsystem/I_Action.h
        iocore/eventsystem/I_Continuation.h
        iocore/eventsystem/I_EThread.h
        iocore/eventsystem/I_Event.h
        iocore/eventsystem/I_EventProcessor.h
        iocore/eventsystem/I_EventSystem.h
        iocore/eventsystem/I_IOBuffer.h
        iocore/eventsystem/I_Lock.h
        iocore/eventsystem/I_MIOBufferWriter.h
        iocore/eventsystem/I_PriorityEventQueue.h
        iocore/eventsystem/I_Processor.h
        iocore/eventsystem/I_ProtectedQueue.h
        iocore/eventsystem/I_ProxyAllocator.h
        iocore/eventsystem/I_SocketManager.h
        iocore/eventsystem/I_Tasks.h
        iocore/eventsystem/I_Thread.h
        iocore/eventsystem/I_VConnection.h
        iocore/eventsystem/I_VIO.h
        iocore/eventsystem/Inline.cc
        iocore/eventsystem/IOBuffer.cc
        iocore/eventsystem/Lock.cc
        iocore/eventsystem/P_EventSystem.h
        iocore/eventsystem/P_Freer.h
        iocore/eventsystem/P_IOBuffer.h
        iocore/eventsystem/P_ProtectedQueue.h
        iocore/eventsystem/P_Thread.h
        iocore/eventsystem/P_UnixEThread.h
        iocore/eventsystem/P_UnixEvent.h
        iocore/eventsystem/P_UnixEventProcessor.h
        iocore/eventsystem/P_UnixSocketManager.h
        iocore/eventsystem/P_VConnection.h
        iocore/eventsystem/P_VIO.h
        iocore/eventsystem/PQ-List.cc
        iocore/eventsystem/Processor.cc
        iocore/eventsystem/ProtectedQueue.cc
        iocore/eventsystem/ProxyAllocator.cc
        iocore/eventsystem/SocketManager.cc
        iocore/eventsystem/Tasks.cc
        iocore/eventsystem/test_Buffer.cc
        iocore/eventsystem/test_Event.cc
        iocore/eventsystem/test_I_Buffer.cc
        iocore/eventsystem/test_I_Event.cc
        iocore/eventsystem/test_P_Buffer.cc
        iocore/eventsystem/test_P_Event.cc
        iocore/eventsystem/Thread.cc
        iocore/eventsystem/UnixEThread.cc
        iocore/eventsystem/UnixEvent.cc
        iocore/eventsystem/UnixEventProcessor.cc
        iocore/hostdb/HostDB.cc
        iocore/hostdb/I_HostDB.h
        iocore/hostdb/I_HostDBProcessor.h
        iocore/hostdb/Inline.cc
        iocore/hostdb/P_HostDB.h
        iocore/hostdb/P_HostDBProcessor.h
        iocore/hostdb/P_RefCountCache.h
        iocore/hostdb/P_RefCountCacheSerializer.h
        iocore/hostdb/RefCountCache.cc
        iocore/hostdb/test_I_HostDB.cc
        iocore/hostdb/test_P_HostDB.cc
        iocore/hostdb/test_RefCountCache.cc
        iocore/net/BIO_fastopen.cc
        iocore/net/BIO_fastopen.h
        iocore/net/Connection.cc
        iocore/net/I_Net.h
        iocore/net/I_NetProcessor.h
        iocore/net/I_NetVConnection.h
        iocore/net/I_SessionAccept.h
        iocore/net/I_Socks.h
        iocore/net/I_UDPConnection.h
        iocore/net/I_UDPNet.h
        iocore/net/I_UDPPacket.h
        iocore/net/Inline.cc
        iocore/net/YamlSNIConfig.cc
        iocore/net/YamlSNIConfig.h
        iocore/net/Net.cc
        iocore/net/NetVConnection.cc
        iocore/net/NetVCTest.cc
        iocore/net/OCSPStapling.cc
        iocore/net/P_CompletionUtil.h
        iocore/net/P_Connection.h
        iocore/net/P_InkBulkIO.h
        iocore/net/P_LibBulkIO.h
        iocore/net/P_Net.h
        iocore/net/P_NetAccept.h
        iocore/net/P_NetVConnection.h
        iocore/net/P_NetVCTest.h
        iocore/net/P_OCSPStapling.h
        iocore/net/P_SNIActionPerformer.h
        iocore/net/P_Socks.h
        iocore/net/P_SSLCertLookup.h
        iocore/net/P_SSLClientUtils.h
        iocore/net/P_SSLConfig.h
        iocore/net/P_SSLNetAccept.h
        iocore/net/P_SSLNetProcessor.h
        iocore/net/P_SSLNetVConnection.h
        iocore/net/P_SSLNextProtocolAccept.h
        iocore/net/P_SSLNextProtocolSet.h
        iocore/net/P_SSLSNI.h
        iocore/net/P_SSLUtils.h
        iocore/net/P_UDPConnection.h
        iocore/net/P_UDPIOEvent.h
        iocore/net/P_UDPNet.h
        iocore/net/P_UDPPacket.h
        iocore/net/P_UnixCompletionUtil.h
        iocore/net/P_UnixNet.h
        iocore/net/P_UnixNetProcessor.h
        iocore/net/P_UnixNetState.h
        iocore/net/P_UnixNetVConnection.h
        iocore/net/P_UnixPollDescriptor.h
        iocore/net/P_UnixUDPConnection.h
        iocore/net/SessionAccept.cc
        iocore/net/SNIActionPerformer.cc
        iocore/net/Socks.cc
        iocore/net/SSLCertLookup.cc
        iocore/net/SSLClientUtils.cc
        iocore/net/SSLConfig.cc
