## trafficserver 8.0.5+ds

=== debian/changelog ===
trafficserver (8.0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version
  * Add patch for Python 3.8 compatibility (Closes: #950245)
  * Update build & test dependencies for Python 3.8

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 03 Feb 2020 11:45:17 +0100

trafficserver (8.0.5+ds-2) unstable; urgency=medium

  * Bump Debian Policy version
  * Remove Build-Depends against python2 modules (Closes: #943248)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 23 Oct 2019 10:07:42 +0200

trafficserver (8.0.5+ds-1) unstable; urgency=medium

  * New upstream release
    - Changes introduced with 8.0.4 include fixes for CVE-2019-9512,
      CVE-2019-9514, and CVE-2019-9515. (Closes: #934887)
    - 8.0.5 fixes CVE-2019-9518 (Closes: #935314)

 -- Emanuele Rocca <ema@debian.org>  Sat, 24 Aug 2019 09:00:22 +0200
