=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,repack,compression=xz" \
   https://www.apache.org/dist/trafficserver \
   trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 \
   debian uupdate
