## trafficserver 8.0.7+ds

=== debian/changelog ===
trafficserver (8.0.7+ds-1build1) groovy; urgency=medium

  * Rebuild against new yaml-cpp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:24:12 +0200

trafficserver (8.0.7+ds-1) unstable; urgency=medium

  * New upstream version 8.0.7+ds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 16 Apr 2020 18:32:04 +0200

trafficserver (8.0.6+ds-1) unstable; urgency=medium

  * Update d/watch after upstream changes
  * Update d/gbp.conf
  * Update d/gbp.conf
  * New upstream version 8.0.6+ds
  * Patches refresh for 8.0.6

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 03 Mar 2020 09:06:18 +0100
