## trafficserver 8.0.8+ds

=== debian/changelog ===
trafficserver (8.0.8+ds-2) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS with Sphinx >= 3.0 (Closes: #963664)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 29 Jul 2020 08:40:43 +0200

trafficserver (8.0.8+ds-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds
  * Includes fix for CVE-2020-9494 (Closes: #963629)
  * Update debhelper-compat version in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 25 Jun 2020 10:01:51 +0200
