=== debian/tests/control ===
Tests: upstream-testsuite
Depends: trafficserver, python3-dev, python3-distro, python3-virtualenv, virtualenv, build-essential, curl, netcat
Restrictions: rw-build-tree allow-stderr
