## trafficserver 8.1.5+ds

=== debian/changelog ===
trafficserver (8.1.5+ds-1~deb11u1) bullseye-security; urgency=high

  * Update d/watch to stick to 8.1.X serie
  * Update upstream gpg keys
  * UPdate d/salsa-ci.yaml
  * New upstream version 8.1.5+ds
  * Patches refresh for 8.1.5
  * Update experimental plugins list
  * Multiple CVE fixes for 8.1.x
    + CVE-2021-37150: Protocol vs scheme mismatch
    + CVE-2022-25763: Improper input validation on HTTP/2 headers
    + CVE-2022-28129: Insufficient Validation of HTTP/1.x Headers
    + CVE-2022-31778: Transfer-Encoding not treated as hop-by-hop
    + CVE-2022-31779: Improper HTTP/2 scheme and method validation
    + CVE-2022-31780: HTTP/2 framing vulnerabilities 

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 12 Aug 2022 09:16:08 +0200

trafficserver (8.1.1+ds-1.1+deb11u1) bullseye-security; urgency=high

  * Multiple CVE fixes for 8.1.x
    + CVE-2021-37147: Improper input validation vulnerability
    + CVE-2021-37148: Improper input validation vulnerability
    + CVE-2021-37149: Improper Input Validation vulnerability
    + CVE-2021-38161: Improper Authentication vulnerability in TLS origin verification
    + CVE-2021-44040: Improper Input Validation vulnerability in request line parsing
    + CVE-2021-44759: Improper Authentication vulnerability in TLS origin validation

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 19:28:31 +0200
